<!-- https://tinyurl.com/wd003-a4-css-floats -->
<!DOCTYPE html>
<html>
<head>
	<title>CSS Floasts and Clears</title>
	<link rel="stylesheet" type="text/css" href="assets/css/style_ans.css">
</head>
<body>

	<!-- Gray Containers -->
	<div class="black-container clear">
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
		<div class="gray-container"></div>
	</div>

	<!-- White Bordered Containers -->
	<div class="black-container pr-50px clear">
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
		<div class="white-bordered-container">
			<div class="gray-box"></div>
			<div class="caption">Caption 1</div>
		</div>
	</div>

	<!-- Harrison Internal Medicine -->
	<!-- notes: no need to have "clear" because the paragraphs are not 'float' elements -->
	<div class="black-container">
		<h1>Harrison's Internal Medicine</h1>
		<div class="image-box"></div>
		<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
		cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
		proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
		<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
		cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
		proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
	</div>

	<!-- Message Box -->
	<div class="black-container clear">
		<div class="left-side">
			<div class="comment-avatar"></div>
		</div>
		<div class="right-side">
			<textarea></textarea>
		</div>
		<div class="button-container">
			<button>Cancel</button>
			<button>Add</button>
		</div>
	</div>


	<!-- Apple Iphone -->
	<div class="black-container clear">
		<div class="album-description">
			<h2>Apple Iphone</h2>
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			consequat. Duis aute irure dolor in reprehenderit in voluptate.</p>
			<button>Read more</button>
		</div>
		<div class="images-container">
			<div class="gray-image-box"></div>
			<div class="gray-image-box"></div>
			<div class="gray-image-box"></div>
			<div class="gray-image-box"></div>
			<div class="gray-image-box"></div>
			<div class="gray-image-box"></div>
		</div>
	</div>

</body>
</html>




